#
# spec file for package samegame
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define unmangled_version 0.240417-2
Name:           samegame
Version:		0.240417
Release:        2
Summary:    	My implementation Same Game
License:        GPL
URL:            https://pietraszczyk.smallhost.pl
Source0:	%{name}-%{unmangled_version}.tar.gz
%if 0%{?suse_version}==1530
BuildRequires:	java-11-openjdk, ant
Requires:       java-11-openjdk
%else
BuildRequires:	java-11-openjdk, ant
Requires:		java-11-openjdk
%endif
BuildArch:	noarch

%description


%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
ant compile
ant jar

%install
mkdir -p %{buildroot}/usr
mkdir -p %{buildroot}/usr/games
mkdir -p %{buildroot}/usr/share
mkdir -p %{buildroot}/usr/share/samegame
mkdir -p %{buildroot}/usr/share/applications

#%make_install

install -m 0644 build/jar/SameGame.jar %{buildroot}/usr/games
install -m 0644 res/samegame.png %{buildroot}/usr/share/samegame
install -m 0644 SameGame.desktop %{buildroot}/usr/share/applications

%files
%defattr(0755,root,root)
/usr/games/
%{_datadir}/samegame/
%defattr(0644,root,root)
/usr/games/SameGame.jar
%{_datadir}/samegame/samegame.png
%{_datadir}/applications/SameGame.desktop

%changelog
